Bug 1203048 - Basemap data file split does not make sense
Summary: Basemap data file split does not make sense
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: python-basemap-data
Version: 24
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Gwyn Ciesla
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-03-18 01:51 UTC by Elliott Sales de Andrade
Modified: 2017-07-27 03:47 UTC (History)
2 users (show)

Fixed In Version: python-basemap-data-1.0.7-6.fc26 python-basemap-data-1.0.7-6.fc25 python-basemap-data-1.0.7-6.fc24 python-basemap-data-1.0.7-6.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-07-19 16:21:35 UTC
Type: Bug


Attachments (Terms of Use)

Description Elliott Sales de Andrade 2015-03-18 01:51:18 UTC
Description of problem:
The Basemap data files are split into python-basemap-data and python-basemap-data-hires. But this split is wrong, or at least doesn't make sense.

In python-basemap-data, the files are: *_c.dat, *_l.dat, *_i.dat, *_f.dat
In python-basemap-data-hires, the files are *_h.dat.

The problem is the former includes "coarse", "low", "intermediate", and "full", while the latter includes "high". But the "full" dataset is *larger* than "high"!


Version-Release number of selected component (if applicable):
Based on downloads via mock, at least:
python-basemap-data-1.0.6-2.fc20.noarch.rpm
python-basemap-data-1.0.7-2.fc21.noarch.rpm

Comment 1 Elliott Sales de Andrade 2015-03-18 01:53:55 UTC
Forgot to also mention:
python-basemap-data-0.99.4-2.el6.noarch.rpm
python-basemap-data-1.0.7-1.el7.noarch.rpm

Comment 2 Fedora Admin XMLRPC Client 2015-09-09 19:30:19 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 3 Fedora Admin XMLRPC Client 2015-09-09 23:50:18 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 4 Fedora End Of Life 2015-11-04 10:34:21 UTC
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 5 Elliott Sales de Andrade 2015-11-04 20:47:06 UTC
Still true.

Comment 6 Jan Kurik 2016-02-24 13:22:13 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase

Comment 7 Gwyn Ciesla 2017-03-15 14:02:22 UTC
Sorry, this slipped through the cracks.

How does simply merging it all back into one rpm sound?

Comment 8 Elliott Sales de Andrade 2017-07-10 08:06:48 UTC
That seems reasonable. It's not really much more compared to the full resolution data set anyway.

Comment 9 Fedora Update System 2017-07-10 13:25:14 UTC
python-basemap-data-1.0.7-6.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-5842605684

Comment 10 Fedora Update System 2017-07-12 05:23:06 UTC
python-basemap-data-1.0.7-6.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-41d8159afd

Comment 11 Fedora Update System 2017-07-12 05:28:32 UTC
python-basemap-data-1.0.7-6.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-a68a608525

Comment 12 Fedora Update System 2017-07-12 08:36:57 UTC
python-basemap-data-1.0.7-6.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-5842605684

Comment 13 Fedora Update System 2017-07-12 09:24:21 UTC
python-basemap-data-1.0.7-6.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-10b6e7ced3

Comment 14 Fedora Update System 2017-07-19 16:21:35 UTC
python-basemap-data-1.0.7-6.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2017-07-19 20:23:12 UTC
python-basemap-data-1.0.7-6.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2017-07-20 05:18:40 UTC
python-basemap-data-1.0.7-6.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2017-07-27 03:47:39 UTC
python-basemap-data-1.0.7-6.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.